PY3_LIBRARY()

OWNER(g:geosmb)

PEERDIR(
    contrib/python/aiohttp

    smb/common/multiruntime
    maps_adv/common/config_loader
    maps_adv/common/lasagna
    maps_adv/geosmb/tuner/proto
)

PY_SRCS(
    lib/__init__.py
    lib/api/__init__.py
    lib/api/middlewares.py
    lib/api/providers.py
    lib/api/resources.py
    lib/db/__init__.py
    lib/db/engine.py
    lib/domain.py
    lib/enums.py
    lib/data_manager/__init__.py
    lib/data_manager/data_manager.py
    lib/data_manager/sqls.py
    lib/exceptions.py
)

RESOURCE_FILES(
    PREFIX maps_adv/geosmb/tuner/server/
    lib/db/migrations/001_20201102/upgrade.sql
    lib/db/migrations/001_20201102/downgrade.sql
    lib/db/migrations/002_20201209/upgrade.sql
    lib/db/migrations/002_20201209/downgrade.sql
    lib/db/migrations/003_20210216/upgrade.sql
    lib/db/migrations/003_20210216/downgrade.sql
    lib/db/migrations/004_20210409/upgrade.sql
    lib/db/migrations/004_20210409/downgrade.sql
    lib/db/migrations/005_20220302/upgrade.sql
    lib/db/migrations/005_20220302/downgrade.sql
    lib/db/migrations/006_20220331/upgrade.sql
    lib/db/migrations/006_20220331/downgrade.sql
    lib/db/migrations/007_20220504/upgrade.sql
    lib/db/migrations/007_20220504/downgrade.sql
    lib/db/migrations/008_20220513/upgrade.sql
    lib/db/migrations/008_20220513/downgrade.sql
)


END()

RECURSE_FOR_TESTS(tests)

RECURSE(bin)
